/// <reference types="react" />
import './style.sass';
import * as React from 'react';
import { I18n } from './i18n';
export * from './utils';
export * from './i18n';
export * from './components/stateless_datepicker';
export * from './components/header';
export * from './components/day';
export * from './components/abbreviations';
export declare function defaultOnKeyDown(e: React.KeyboardEvent<HTMLElement>, matrix: Date[][], onChange: (date: Date) => void, onScreenChange: (date: Date) => void, onCursorChange: (date: Date) => void, cursor: Date, screen: Date): void;
export interface SimpleDatePickerProps {
    i18n?: I18n;
    value: Date;
    weekStart?: number;
    onChange: (value: Date) => void;
    renderDay?: (day: Date, value: Date, screen: Date, cursor: Date, onClick: () => void, onMouseMove: () => void) => JSX.Element;
    renderHeader?: (i18n: I18n, screen: Date, onScreenChange: (screen: Date) => void) => JSX.Element;
    renderAbbreviations?: (i18n: I18n, weekStart: number) => JSX.Element;
}
export interface SimpleDatePickerState {
    cursor: Date;
    screen: Date;
}
export declare class SimpleDatePicker extends React.Component<SimpleDatePickerProps, SimpleDatePickerState> {
    state: {
        cursor: Date;
        screen: Date;
    };
    private onChange;
    private onCursorChange;
    private onScreenChange;
    private onKeyDown;
    private renderDay;
    private renderAbbreviations;
    private renderHeader;
    render(): JSX.Element;
}
